> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/meter-1.md).

# Monad

- [eth\_chainId](https://docs.blockpi.io/build/api-reference/meter-1/eth_chainid.md): Returns the currently configured chain id, a value used in replay-protected transaction signing as introduced by EIP-155.
- [eth\_syncing](https://docs.blockpi.io/build/api-reference/meter-1/eth_syncing.md): Returns information about the sync status of the node
- [eth\_getBlockByNumber](https://docs.blockpi.io/build/api-reference/meter-1/eth_getblockbynumber.md): Returns block information by number.
- [eth\_getBlockByHash](https://docs.blockpi.io/build/api-reference/meter-1/eth_getblockbyhash.md): Returns block information by hash.
- [eth\_blockNumber](https://docs.blockpi.io/build/api-reference/meter-1/eth_blocknumber.md): Returns the number of the most recent block.
- [eth\_gasPrice](https://docs.blockpi.io/build/api-reference/meter-1/eth_gasprice.md): Returns the current price of gas in wei. If minimum gas price is enforced by setting the --price-limit flag, this endpoint will return the value defined by this flag as minimum gas price.
- [eth\_getBalance](https://docs.blockpi.io/build/api-reference/meter-1/eth_getbalance.md): Returns the balance of the account of the given address.
- [eth\_sendRawTransaction](https://docs.blockpi.io/build/api-reference/meter-1/eth_sendrawtransaction.md): Creates new message call transaction or a contract creation for signed transactions.
- [eth\_getTransactionByHash](https://docs.blockpi.io/build/api-reference/meter-1/eth_gettransactionbyhash.md): Returns the information about a transaction requested by transaction hash.
- [eth\_getTransactionByBlockNumberAndIndex](https://docs.blockpi.io/build/api-reference/meter-1/eth_gettransactionbyblocknumberandindex.md): Returns the information about a transaction requested by Block number and index.
- [eth\_getTransactionByBlockHashAndIndex](https://docs.blockpi.io/build/api-reference/meter-1/eth_gettransactionbyblockhashandindex.md): Returns the information about a transaction requested by Block hash and index.
- [eth\_getTransactionReceipt](https://docs.blockpi.io/build/api-reference/meter-1/eth_gettransactionreceipt.md): Returns the receipt of a transaction by transaction hash. Note That the receipt is not available for pending transactions.
- [eth\_getTransactionCount](https://docs.blockpi.io/build/api-reference/meter-1/eth_gettransactioncount.md): Returns the number of transactions sent from an address.
- [eth\_getBlockTransactionCountByNumber](https://docs.blockpi.io/build/api-reference/meter-1/eth_getblocktransactioncountbynumber.md): Returns the number of transactions in a block matching the given block number.
- [eth\_getLogs](https://docs.blockpi.io/build/api-reference/meter-1/eth_getlogs.md): Returns an array of all logs matching a given filter object.
- [eth\_getCode](https://docs.blockpi.io/build/api-reference/meter-1/eth_getcode.md): Returns code at a given address.
- [eth\_call](https://docs.blockpi.io/build/api-reference/meter-1/eth_call.md): Executes a new message call immediately without creating a transaction on the blockchain.
- [eth\_getStorageAt](https://docs.blockpi.io/build/api-reference/meter-1/eth_getstorageat.md): Returns the value from a storage position at a given address.
- [eth\_estimateGas](https://docs.blockpi.io/build/api-reference/meter-1/eth_estimategas.md): Generates and returns an estimate of how much gas is necessary to allow the transaction to complete. The transaction will not be added to the blockchain.
- [net\_version](https://docs.blockpi.io/build/api-reference/meter-1/net_version.md): Returns the current network id.
- [web3\_clientVersion](https://docs.blockpi.io/build/api-reference/meter-1/web3_clientversion.md): Returns the current client version.
- [debug\_getRawBlock](https://docs.blockpi.io/build/api-reference/meter-1/debug_tracetransaction.md): Returns an RLP-encoded block.
- [debug\_getRawHeader](https://docs.blockpi.io/build/api-reference/meter-1/debug_tracetransaction-1.md): Returns an RLP-encoded header.
- [debug\_getRawReceipts](https://docs.blockpi.io/build/api-reference/meter-1/debug_tracetransaction-2.md): Returns an array of EIP-2718 binary-encoded receipts.
- [debug\_getRawTransaction](https://docs.blockpi.io/build/api-reference/meter-1/debug_tracetransaction-3.md): Returns an array of EIP-2718 binary-encoded transactions.
- [debug\_traceBlockByNumber](https://docs.blockpi.io/build/api-reference/meter-1/debug_traceblockbynumber.md): It accepts a block number and will replay the block that is already present in the database.
- [debug\_traceBlockByHash](https://docs.blockpi.io/build/api-reference/meter-1/debug_traceblockbyhash.md): It accepts a block hash and will replay the block that is already present in the database.
- [debug\_traceTransaction](https://docs.blockpi.io/build/api-reference/meter-1/debug_tracetransaction-4.md): It will attempt to run the transaction in the exact same manner as it was executed on the network.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.blockpi.io/build/api-reference/meter-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
